package jp.hasc.hasctool.core.runtime.filter;


/**
 * ベクトルの各要素に、スカラ値を加算するフィルタです
 * @author iwasaki
 */
public class ScalarAdder extends AbstractScalarFilter {
	private double offset_=0;
	
	@Override
	public double filterScalarValue(double scalarValue) {
		return offset_+scalarValue;
	}

	public double getOffset() {
		return offset_;
	}

	public void setOffset(double offset) {
		offset_ = offset;
	}
}
